Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Hitachi Posted on 13/01/2020 12:24
The Labour Clown Show Keeps Rollling On.
 
This leadership farce is demonstrating that Labour will be unelectable for a long time.The country needs a strong and electable opposition to hold the government to account.Why on earth would those " lost" Labour voters be attracted to any of this bunch?
IP: Logged
asredastheycome Posted on 13/01/2020 12:32

The Labour Clown Show Keeps Rollling On.
Are you going to let us know WTF you are talking about instead of just posting nothing.
The leadership has a 14.30 GMT deadline to decide who is in the running so its not really started yet[:o)][:o)]
IP: Logged
HolgateCorner Posted on 13/01/2020 12:57

The Labour Clown Show Keeps Rollling On.
And beyond shutting our borders how would a Tory like you possibly know what some Labour voters want?
IP: Logged
Tom_Fun Posted on 13/01/2020 12:58

The Labour Clown Show Keeps Rollling On.
"Why on earth would those " lost" Labour voters be attracted to any of this bunch?"

How much do you know about any of them?
IP: Logged
HolgateCorner Posted on 13/01/2020 13:04

The Labour Clown Show Keeps Rollling On.
Anyway Johnson’s honeymoon is already over isn’t It?

The storm clouds are gathering very quickly.

Retail sector in disarray.

Manufacturing is a mess.

Bank of England wanting to cut the rate in the face of economic meltdown.

EU saying the trade deal is complex and will take a long time.

Nurses treating patients lined up in corridors.

It’s only week 4 and it’s a shambles.
IP: Logged
Cooper6711 Posted on 13/01/2020 13:06
Edited On: 13/01/2020 13:08
The Labour Clown Show Keeps Rollling On.
Well to be fair i'm a lost labour voter and there isn't much on show.

Lewis and Thornberry are useless. RLB just doesn't come across to me either.

Literally only Starmer looks viable. He played a big part in Labours shambolic Brexit position but if he can move away from that he could be good. Least he actually looks electable
IP: Logged
American_Mary Posted on 13/01/2020 13:24
Edited On: 13/01/2020 13:24
The Labour Clown Show Keeps Rollling On.
Think Starmer is by far the most credible of those that are running, however the fact he represents a London constituency and the desire for a first female elected Labour Leader could count against him, don’t think his position as shadow Brexit Minister will count against him in 5 years time, in fact depending on what happens post-Brexit it might be seen to be an advantage.
IP: Logged
Funky_Chicken Posted on 13/01/2020 13:24

The Labour Clown Show Keeps Rollling On.
The usual Tory smear and deflection tactics whilst they hastily try and cover up the mess they’re making of things - well done Tory boy [DFS]



🐔
IP: Logged
Hitachi Posted on 13/01/2020 13:39

The Labour Clown Show Keeps Rollling On.
You really have to break out of this viscous circle of deluded denial.I am being serious.None of those contenders will cut it with working class voters.By working class I mean hard working tax paying people.I have said it before that what is needed is a proper social democrat slightly left leaning party.Take a look at the SDP website.They fit the bill.Starmer is the only one who has some credibility in that he can string three sentences together but he is damaged goods.Fat Belly is a snearing j Islington champagne socialist who loathes white van man.RLB is a robot continuity Corbyn.Jess Phillips is just a gob shxte ,and Clive Lewis will pull out the race card at any given moment.Lisa Nandy is a non entity ,and jeez I can't remember the rest.Oh yes there is Angela Raynor.Nuff said.
IP: Logged
Tom_Fun Posted on 13/01/2020 14:06

The Labour Clown Show Keeps Rollling On.
I'll ask again (although not sure why), but how much do you actually know about any of them?
IP: Logged
asredastheycome Posted on 13/01/2020 14:09

The Labour Clown Show Keeps Rollling On.
They might not be able to string three sentences together but I will bet the all leave a space after a full stop when starting a new sentence.
IP: Logged
1finny Posted on 13/01/2020 14:11

The Labour Clown Show Keeps Rollling On.
Cooper - what’s your take on Jess Phillips? Must admit, I’m warming to her.
The more I read/hear Starmer the more impressed I am but - agree with AM on the problem.
He must be dangerous - The Sun (recently) and The Telegraph today have begun their hatchet jobs on him.

RLB is a disaster - more than ‘economical with the truth’ in her claims to have been a lawyer fighting for the NHS.
Alongside her memories of her dad and the striking ship workers........ she was 2!
IP: Logged
Cooper6711 Posted on 13/01/2020 14:17

The Labour Clown Show Keeps Rollling On.
Hi Finny

I forgot about her actually but to be honest I don't like her but I haven't for quite a long time. Well before she managed to get abit of a higher profile for herself.

Her overly emotional speeches and statements just don't cut across to me. Some people will like that but she's gonna be marmite and therefore not likely to be able to win an election (if capable)
IP: Logged
WeeGord Posted on 13/01/2020 14:20

The Labour Clown Show Keeps Rollling On.
My vote won't be going for Jess Phillips - she's the one who said she'd 'stab Jeremy Corbyn in the front' and then complained about the language of violence and threats being used against MPs.

She is a good friend of Jacob Rees-Mogg and IMHO has a very sinister side. She pretends she's not that bright and is a true working class lady, yet she's a lot brighter than she appears at times and some may think it hides a pretty calculating and devious mindset.

She would be the least likely to get my vote I'm afraid.

I'm torn between Keir Starmer and Rebecca Long Bailey. Two completely different propositions of course and while ideologically I'm more in line with RLB I feel Keir Starmer is the one the Tories fear.

I just fear that with RLB we will spend longer in opposition as a well-principled and socially conscious party that just doesn't win over a majority. Keir Starmer I feel is someone who can unite most of both wings of the party and has the intelligence and knowledge to tear Boris Johnson and the Tories apart.

That said, he is not going to win over as many of the Labour voters in the North as RLB but I still think he'd win over more than enough win back a lot of the seats lost last year.
IP: Logged
newyddion Posted on 13/01/2020 14:24

The Labour Clown Show Keeps Rollling On.
Under Keir Starmer the Labour Party of old will be lost forever. Pro-EU, neo liberals.. straight in the bin [sad]
IP: Logged
Muscle_Museum Posted on 13/01/2020 14:33

The Labour Clown Show Keeps Rollling On.
WeeGord

Out of interest, in what way is RLB closer to you ideologically? As far as I can tell, the only give away of what her 'ideology' is, is that she's a big fan of Corbyn and supports him almost unilaterally.

I'm just not sure how this actual ranslates into ideology, Starmer votged in almost identical way to her and they both describe themselves as socialists, even though they are clearly not.

There seems to be a instinct from certain Labour supported to immediately label Starmer as not left wing enough or closer to the centre, despite zero evidence.

Whilst I have nothing against RLB, Starmer is a better candidate by a measure. He's far more experienced, had a better background that proves commitment to working class interests and ultimately he's smarter and more politically astute. I don't think he's held back by the Brexit policy any more than RLB would be held back by being Corbyn's understudy. Labour need to win seats all over the country and given how the recent election just went, it';s rather ridiculous to suggest that Starmer is too post. People love credibility and a sense of competence, especially shy tories.
IP: Logged
WeeGord Posted on 13/01/2020 14:42

The Labour Clown Show Keeps Rollling On.
MM what I mean by closer to me ideologically is that I'm very much a socialist in the mould of Jeremy Corbyn (rightly or wrongly) and RLB seems to be cut from the same cloth.

That's not to say Keir Starmer is some sort of polar opposite because that's not true. Whenever I see him being interviewed and read articles he seems to be left-leaning but perhaps doesn't seem to be quite so left leaning as the likes of Corbyn, McDonnell, RLB etc.

I think Keir Starmer would move the party closer to the centre and that's why I'm torn. Despite the awful result in December the Corbyn led Labour party has at least engaged the youth and brought inequality and division to the very forefront of the political discussion. I don't want the Labour Party to lose that.

However, I'd much prefer a more central Labour government than a left-wing Labour opposition. The Tories have caused so much destruction over the last 10 years that the priority has to be to get them out of power and I see Keir Starmer as more likely and able to do that than RLB.
IP: Logged
asredastheycome Posted on 13/01/2020 15:06

The Labour Clown Show Keeps Rollling On.
Pretty much my own sentiments Wee Gord.
IP: Logged
Muscle_Museum Posted on 13/01/2020 15:07
Edited On: 13/01/2020 15:08
The Labour Clown Show Keeps Rollling On.
Fair post, though I'd be sceptical of believing that Kier would bring the party closer to the centre, I don't see much evidence of that at all. He believes in nationalisation, higher public spending, attacks on tax dodgers etc.

Realistcally, the party is spending th next 4/5 years in opposition, and there's no better man to scrutinise the Government and the deal they make with the EU than Kier. If he ends up getting elected as well then great, he'd immediately put an end to the right wing politics of the tories and the areas that matter the most, such as funding for those most vulnerable etc. He may be a bit more wary to bombard the electorate with pledge after pledge but I'd say that's a good thing at this point, and he's already committed to a lot of the same pledges as Corbyn.

I'm hoping people don't decide their vote on this as there's currently no evidence of him wanting to bring the party closer to the centre and everything he has said thus far suggests the opposite.

IP: Logged
toxic_bob Posted on 13/01/2020 15:33

The Labour Clown Show Keeps Rollling On.
I've tried to break out of the viscous circle but it's too damn treacly.
IP: Logged
BobUpndown Posted on 13/01/2020 15:34

The Labour Clown Show Keeps Rollling On.
"..believes in nationalisation, higher public spending, attacks on tax dodgers.."

seems reasonable to me..

Some nationalisation, railways & utilities: gas, electric, water & 'national plumbing' :-D seem like a good idea to me..

higher public spending.. NHS, Police, Defence.. infrastructure & education.. isn't that what Gov's are meant to be for? building a society..

Attacks on tax dodgers.. about time 'offshore' havens were shut down & questionable deals were stopped - all should pay a level amount to do business here..

Of that lot only KS looks a decent leader RLB is just too way left for me.. I like both Nandy & Phillips as MP's.. ET is just untrustworthy, IMHO..
IP: Logged
Rayman Posted on 13/01/2020 15:35

The Labour Clown Show Keeps Rollling On.
I doubt that any paid up members of the ToryParty would ever be critical of what’s on offer when they themselves struggled to find six options and ended up with a novelty PM. For what it’s worth I would have preferred Jess Philips as deputy - clearly the Tories are scared stiff of her especially after she gave Boris a hard time in Parliament and it would mean someone with a bit of charisma in the top two.
IP: Logged
1finny Posted on 13/01/2020 15:44
Edited On: 13/01/2020 15:45
The Labour Clown Show Keeps Rollling On.
Anyone know how much sway Momentum has these days when it comes to votes?
They have endorsed RLB

Equally what sway does the like of Unison have? They have endorsed Starmer

Best option to win back votes - Starmer/Philips or Rayner
IP: Logged
jam69 Posted on 13/01/2020 15:45

The Labour Clown Show Keeps Rollling On.
lisa nandy comes across quite well, and doesnt have the brexit baggage. lets see what they are offering and stand for.
IP: Logged
Muscle_Museum Posted on 13/01/2020 15:54

The Labour Clown Show Keeps Rollling On.
Lisa Nandy would potentially be my first choice, but I can't see her getting close, she voted for Owen Smith and clashed with Corbyn and Momentum over the Brexit policy, whilst this should be seen as a good thing, we all know it wont be.

Momentum's main influence will be through campaigning and resources, along with how they can manipulate the narrative. They have already proclaimed RLB to be the 'only' viable left wing candidate, which immediately creates division and suggests that RLB is the only left wing candidate. It's bad enough that they seem themselves the arbitrators of what is left wing enough for the party, but even worse that it's based on nothing and highly misleading. If they prefer RLB they should just say that and explain why, rather than pretending that all the other candidates want to bring the party back to the centre.

IP: Logged
Rayman Posted on 13/01/2020 15:55

The Labour Clown Show Keeps Rollling On.
As usual it will be one member one vote. Interest groups like the unions or Momentum can only advise or warn against. As I understand it Momentum and Unite would have us vote for RLB.
IP: Logged
Trug Posted on 13/01/2020 15:56

The Labour Clown Show Keeps Rollling On.
When Blair was opposition leader he hammered every lie the Tories told, disputed everything the Tory press wrote, challenged the government on everything the said and did. Corbyn missed so many open goals and opportunities to do this at the despatch box.
The nearest person I have seen to Blair doing this is Gardiner who challenged the Tories at all debates and interviews,but
Gardiner is not standing. Thornbury was very good at the despatch box when she covered for Corbyn and took the Tories apart, but to be fair, my clothes prop could have taken the Tories apart, which just shows how poor Corbyn was at the despatch box. Starmer comes across well but I really do not think there is much quality debaters in the Tory ranks at the moment. (But then there doesn't need to be any quality with a huge majority does there?)
If Starmer becomes leader and challenges every thing the Tories do, hold them accountable, threaten to sue the press for libel when they lie instead of rolling over, challenge the dodgy deals that Tory MP's get up to, show up any of their conflict of interest, instead of reading out letters from his constituents then there is a chance for Labour to regain its core supporters.
IP: Logged
bear66 Posted on 13/01/2020 15:58

The Labour Clown Show Keeps Rollling On.
The Tory lying is 100x greater these days. Major had more integrity.
IP: Logged
festa5 Posted on 13/01/2020 15:58

The Labour Clown Show Keeps Rollling On.
Have to say I don't really get the obsession with needing to have a female northerner. Is there any evidence that your so called "average" working class labour voter is that bothered?

As others have said I'd have thought they'd want someone they see as credible as a potential future PM above anything else. If that's a northern woman than great, but certainly shouldn't be the main criteria you select your leader on.
IP: Logged
BlindBoyGrunt1 Posted on 13/01/2020 16:02

The Labour Clown Show Keeps Rollling On.
After today I won't be voting for any of them. Every single one of those on the ballot have promised to sign that list of demands from the Board of Deputies of British Jews.

They are prepared to let right wing organisation who represents a minority of UK Jews call the shots in a party that they don't even support.

I'll be looking for a new party.

Link: BoD
IP: Logged
Muscle_Museum Posted on 13/01/2020 16:26

The Labour Clown Show Keeps Rollling On.
Which pledge do you have a problem with and why?

Corbyn brought a lot of unwanted attention to the party in this regard through his support for Iran and Hamas. Hopefully whoever the new leader is, they don't make the same mistakes.
IP: Logged
BlindBoyGrunt1 Posted on 13/01/2020 16:47

The Labour Clown Show Keeps Rollling On.
I have a problem with the whole thing. the BoD are not a religious group. They are a right wing zionist organisation who do the bidding of Israel.

For starters though:

Pledge 5 - Is guilt by association. If you support people like Chris Williamson, Jackie Walker or Marc Wadsworth, (none of which have been found to be anti-semitic but all remain suspended) you too can be suspended.

Pledge 8 - Some Jews good, others bad.The Board of deputies would have veto over which Jewish groups you agree with if you wish to remain a member.

This whole thing makes it very easy to purge the party of socialists, non-zionist Jews and Palestine supporters.
IP: Logged
boromike85 Posted on 13/01/2020 16:49

The Labour Clown Show Keeps Rollling On.
Kier Starmer is the most leader like and probably the most likely to win back some of the voters in the middle ground. His image is right for a politician and he does seem to have some substance to him as well.

My guess though is that in Labour's quest for being as "right on" as possible he will get the most votes but lose because it's time the leader of the Labour party "should" be a woman.

None of them seem credible as a leader except Thornberry but she'd actually be the worst option. Of the rest I think Nandy is probably the best option but whichever they choose will be a wasted 5 years before they choose an actually electable leader. They've already wasted 2 elections on an unelectable project. They shouldn't do it again if they want to ever get back into government.
IP: Logged
Corcaigh_the_Cat Posted on 13/01/2020 16:56

The Labour Clown Show Keeps Rollling On.
I have a feeling the Labour Party will never find a leader to suit the OP. Nor a policy.
IP: Logged
bear66 Posted on 13/01/2020 16:57

The Labour Clown Show Keeps Rollling On.
Thornberry made Johnson to look the incompetent fool that he is when he was foreign secretary but she isn't someone that many people would warm to.

I don't know how Starmer will play the PM questions game.

No perfect policy, front person, combatant, but the Tory party had a poorer set of misfits to choose from.
IP: Logged
Corcaigh_the_Cat Posted on 13/01/2020 16:58

The Labour Clown Show Keeps Rollling On.
That will be the incompetent fool that appeals to the OP. Enough said.
IP: Logged
Muscle_Museum Posted on 13/01/2020 17:00

The Labour Clown Show Keeps Rollling On.
Right wing zionist organisation is a slight exaggeration of the truth.

The same 'right wing' group massively offended a significant part of it's member base for not being Zionist enough when they issued joint statements with the Muslim Brotherhood condemning Israeli actions in the Gaza conflict. T

It's pretty simple, if Labour leaders persist in having a blatant one sided view on the Gaza conflict, whilst holding horrendous regimes like Iran to a completely different standard, then Jewish people are going to continue to be concerned about the prospect of a Labour Government.

Whilst I don't agree with all of the pledges, there is no requirement to support Israel or not condemn their actions, which was apparently all that mattered to the party.

IP: Logged
Corcaigh_the_Cat Posted on 13/01/2020 17:06

The Labour Clown Show Keeps Rollling On.
If Labour leaders persist. So how many is that so far?

IP: Logged
Muscle_Museum Posted on 13/01/2020 17:10

The Labour Clown Show Keeps Rollling On.
How is that in anyway an important question?

I'll give you some friendly advice Ctc, stay out discussions you are not educated in, you don't always have to get involved. I already know you have very limited knowledge on this particular subject. Why you feel propelled to speak out of ignorance so often I have no idea.
IP: Logged
BlindBoyGrunt1 Posted on 13/01/2020 17:11

The Labour Clown Show Keeps Rollling On.
What about the many Jewish groups who support Palestine? They are being squeezed out by this small but extremely loud group who think they are the voice of all Jews which in itself is anti-semitic.
IP: Logged
Corcaigh_the_Cat Posted on 13/01/2020 17:12
Edited On: 13/01/2020 17:14
The Labour Clown Show Keeps Rollling On.
It's important because you're using the plural.

And if you want to see anti Israeli sentiment removed from the Labour Party the Israeli Embassy should perhaps refrain from housing those using bribes to interfere with the UK's political process.
IP: Logged
CardiffDaffs Posted on 13/01/2020 17:16

The Labour Clown Show Keeps Rollling On.
Cooper. You keep saying you’re a lost Labour voter. Who was your Labour role model in the past?
IP: Logged
Muscle_Museum Posted on 13/01/2020 17:16
Edited On: 13/01/2020 17:17
The Labour Clown Show Keeps Rollling On.
BlindBoyGrunt1

Well that isn't anti semitic actually but in regards to your main point, I don't think the Labour party need much help in supporting Palestine. You should verify what you mean by Jewis who support Palestine.

Ctc

That doesn't make it important, it'd be important if the plural was actually important to the point, I'll help you out, it isn't.

Nice edit, but who said anything about removing anti israel anything form anywhere? The labour party will still be well within their right to criticise Israel. Again though, you know very little about the subject, I know it's tempting, but let it go.
IP: Logged
JackG Posted on 13/01/2020 17:16

The Labour Clown Show Keeps Rollling On.
BlindBoyGrunt[^][^]
I'm afraid I also find this issue decisive and will no longer be able to vote labour.
IP: Logged
Muscle_Museum Posted on 13/01/2020 17:21

The Labour Clown Show Keeps Rollling On.
All of the prospective Labour leaders and the forces within their party are very much pro Palestine, the idea that these pledges could to en masse reject of socialists and anti zionists is laughable.

What a view to take
IP: Logged
hopesoboro Posted on 13/01/2020 17:23

The Labour Clown Show Keeps Rollling On.
"Well to be fair i'm a lost labour voter and there isn't much on show."

Course you are Coops![xx(]
IP: Logged
BlindBoyGrunt1 Posted on 13/01/2020 17:51

The Labour Clown Show Keeps Rollling On.
Many labour politicians including some in the leadership race are members of Labour Friends of Israel. You don't have to be Labour or Jewish to be a member but they too have a very big pro Israeli voice.

There aren't too many Pro Palestine labour MP's and those who are get crucified by the press and the LFI.

On the point about anti-semitism, for one group to claim to be the voice of all jews is to assume that all Jews think alike which is wrong. The fact that you require verification for this is itself wrong. Jewry does not speak with one voice, regardless of what BoD, Jewish Chronicle and LFI would have you believe.
IP: Logged
BlindBoyGrunt1 Posted on 13/01/2020 18:37

The Labour Clown Show Keeps Rollling On.
M_M: "the idea that these pledges could to en masse reject of socialists and anti zionists is laughable.

What a view to take"

Have you never heard of Jackie walker or Marc Wadsworth - two prominent labour members kicked out of the party for no good reason? Are you aware of the case of Chris Williamson who was cleared of anti-semitism but then re suspended from the party the next day on some trumped up charge that nobody understands and has now lost his seat?

This is happening now, before those pledges are signed off.
IP: Logged
Corcaigh_the_Cat Posted on 13/01/2020 18:54
Edited On: 13/01/2020 18:59
The Labour Clown Show Keeps Rollling On.
The right wing rebranding of anti semitism is alive and well.
IP: Logged
1finny Posted on 13/01/2020 19:06

The Labour Clown Show Keeps Rollling On.
Always interests me
“I’ll have to find another party....”

Just wonder what party you are going to find that will give you what you voted for a couple of weeks ago and satisfy your stance on Israel.

IP: Logged
BlindBoyGrunt1 Posted on 13/01/2020 19:14

The Labour Clown Show Keeps Rollling On.
A new party finny. A real socialist party, not one infested with neoliberals.
IP: Logged
1finny Posted on 13/01/2020 19:24

The Labour Clown Show Keeps Rollling On.
Ahh, I see
Fair enough
Next to no chance of influencing the country though - a bit of an intellectual protest party mebe
IP: Logged
Heine Posted on 13/01/2020 19:43

The Labour Clown Show Keeps Rollling On.
Non of them contenders will cut it with working class voters?

Didn't working class voters vote Tory do you want them to be Tory Light?
IP: Logged
Cooper6711 Posted on 13/01/2020 19:51

The Labour Clown Show Keeps Rollling On.
Why aren’t I a lost labour voter? Voted labour in 2005,10,15 and 17. Not old enough prior.

I would probably say Alan Johnson as decent enough labour MP for me. But I was very anti Cameron, Osbourne etc. So would have voted for any labour leader really
IP: Logged
r00fie1 Posted on 13/01/2020 19:55

The Labour Israeli Zionist Lobby have hijacked the party.
[V]
Its not the end.
Its a sign of their weakness.
Whats missed is the way the Israeli Government interfered in domestic British politics - the election - yet not a chuffin word from the zionist licking big media[?][V]
IP: Logged
HolgateCorner Posted on 13/01/2020 20:04

The Labour Clown Show Keeps Rollling On.
The ‘lost’ Labour voters were lost to Brexit and the immigration issues.

Whoever leads the Labour Party needs to be right to fight an election in 5 years time with the likely circumstances which will be prevailing at the time.

Another lesson from the 2019 and 1997 elections is to keep the message simple and concentrated on key issues.

There will be plenty of mistakes by Johnson and his cohorts along with lies and broken promises to capitalise on.

Labour need to pick the big ones at the time and fight on them.

The leader? Somebody reasonably likeable, young, sensible and with no baggage.
IP: Logged
clive_road_stamper Posted on 13/01/2020 20:08

The Labour Israeli Zionist Lobby have hijacked the party.
Next Labour government will be by Tories losing it. Like John Major did.

Certainly possible with the current Tory leadership, but it would have to be something catastrophic.

Labour are very out of touch with their own supporters ans the the rest of the country.
IP: Logged
keelo Posted on 13/01/2020 20:17

The Labour Israeli Zionist Lobby have hijacked the party.
clive_road_stamper would you care to eloborate why labour are so out of touch with their base and prefer Johnson, id seriously like to know and dont mention Brexit please..
IP: Logged
HolgateCorner Posted on 13/01/2020 21:14

The Labour Israeli Zionist Lobby have hijacked the party.
One thing Labour must not do is let the Tory media choose the leader for them.

The Tories have managed to split the electorate with Brexit and this has always benefitted them historically.

Once Brexit is old news the agenda will move back to all the other stuff which the Tories are always weak on. The pendulum will swing back, it’s as inevitable as Johnson telling lies.
IP: Logged
Block1 Posted on 13/01/2020 23:20

The Labour Israeli Zionist Lobby have hijacked the party.
Starmer was the architect of the ridiculous Brexit policy for that single reason he should not be on the ballot paper. I will be voting for Nandy/Murray

IP: Logged
clive_road_stamper Posted on 14/01/2020 00:32

The Labour Israeli Zionist Lobby have hijacked the party.
"clive_road_stamper would you care to eloborate why labour are so out of touch with their base and prefer Johnson"

Well keelo , me old mucker - the fact you need to ask speaks volumes. When you suffer a loss of that recent magnitude its time that you need to work it out for yourselves.

I could give you a string of reasons and you would shoot each one down. Fair enough. If you need someone like me to point the way then you are even more clueless than I thought.

Go away sit in a darkened room with no outside influences and take 5 years to work out how you are going to fix it. - Good luck
IP: Logged
American_Mary Posted on 14/01/2020 04:00

The Labour Israeli Zionist Lobby have hijacked the party.
Here’s the rub and the reality but any new Labour leader would be greatly helped by appealing to the right wing mass media, part of my thinking on Starmer is that a newspaper like say The Sun could see him as a more credible option than Johnson in 5 years time, his background within Law gives him serious credibility and I would see him running on a similar manifesto with the obvious exception of Brexit policy in 2024 so not sure how that would make him a neo-Liberal ?
IP: Logged
clive_road_stamper Posted on 14/01/2020 07:31

The Labour Israeli Zionist Lobby have hijacked the party.
Dunno what the circulation of the Sun is these days but they do not have the clout they once did 20/30 years ago.

Its all that Social meedja you know. People are a bit more independent thinking these days.

A far its all going wrong already. Any of our friends here tell me something that has change in their lives since Dec 13 as a consequence of the result
IP: Logged
HolgateCorner Posted on 14/01/2020 08:05

The Labour Israeli Zionist Lobby have hijacked the party.
Things have got worse, the economic situation is currently very worrying, Exctinction Rebellion are now classed as terrorists and the Irish are so concerned they’ve actually put Stormont back in place.
IP: Logged
1finny Posted on 14/01/2020 08:14

The Labour Israeli Zionist Lobby have hijacked the party.
Clive - there is a good case for saying social media has made people less independent (Cambridge Analytica)

The Sun is probably ‘proxy’ for those who want to certain reassurances from the ruling party in the UK. Their influence extends far beyond the Sun, Telegraph, Express, Mail etc in print.

Personally the ‘unwrittten’ policy from any future leadership team needs to be
‘how do they understand, work with and influence those that are key to influencing others.....’
IP: Logged
Greenandblack Posted on 14/01/2020 08:58

The Labour Israeli Zionist Lobby have hijacked the party.
***Whats missed is the way the Israeli Government interfered in domestic British politics - the election***

Maybe there was Israeli influence, but it wasn't the reason Labour lost.

Put that down to a lacklustre campaign, a free for all manifesto and a ridiculous stance on Brexit.

Britain likes conviction politicians, with a clearly stated position. Honest brokering isn't going to cut it, ever.
IP: Logged
bear66 Posted on 14/01/2020 09:01

The Labour Israeli Zionist Lobby have hijacked the party.
"Britain likes conviction politicians, with a clearly stated position."

[:D]
IP: Logged
Rayman Posted on 14/01/2020 09:14

The Labour Israeli Zionist Lobby have hijacked the party.
Anything that has changed since Dec?
We often bumped into our MP as he was cycling and visiting various parts of the constituency. The MP was to be seen on a regular basis. He appears to have been replaced by Wharton Mark 2.
IP: Logged
Muscle_Museum Posted on 14/01/2020 09:18

The Labour Israeli Zionist Lobby have hijacked the party.
BlindBoyGrunt1

Welcome to the world of identity politics, a movement the Labour party wholly embraced. Do you know how many people have been tarred as racists and islmaphobes for making perfectly comments about Islam and integration? It works both ways and it has come back to bite Labour in the XXXXXX multiple times.

At the end of the day, Corbyn has supported and celebrated the Iranian regime (holocaust deniers, brutal far right theocracy), he has asked for people to support Hamas (A party ideologically committed to Jewish genocide), whilst being heavily critical of Israel for far lesser crimes. There's 15 million Jewish people on the planet compared to over a billion muslims, when Israel is threatened to be wiped off the map by multiple muslim countries who talk about race and religion, it's not 'anti zionism'. Even if you heavily support Palestine, you can do so with out endorsing terrorist groups who are fuelled by Islamism and Jewish blood.

IP: Logged
bear66 Posted on 14/01/2020 09:26

The Labour Israeli Zionist Lobby have hijacked the party.
How many? Name them.
IP: Logged
Muscle_Museum Posted on 14/01/2020 09:36

The Labour Israeli Zionist Lobby have hijacked the party.
No?

If you're that interested do some research your self, or alternatively just go through David Lammy's twitter feed.

If you think I'm wasting my time replying to single question responses from the likes of you and 'myfooty' again you'd be mistaken.

If you've got an argument to make then make it, I'm all ears. Tell me why it's acceptable for Jeremy Corbyn to speak on the Iranian state network and celebrate their revolution.
IP: Logged
Hitachi Posted on 14/01/2020 10:05

The Labour Israeli Zionist Lobby have hijacked the party.
Labour has been losing its core vote for a considerable time. Its now down to university towns,middle class Londoners,a certain ethnic minority and low grade public sector workers. It really doesn't matter who takes over as leader. It looks like Conservatives will be in power for the next ten years at least ,and Labour will be no more than a protest movement. I suspect it will split into the hard left Momentum group, and a sort of Blairite rump. This rump will probably merge with the Limp Dums.
IP: Logged
1finny Posted on 14/01/2020 10:09

The Labour Israeli Zionist Lobby have hijacked the party.
Certainly true that Labour vote has been waning for at least 10 years.
If I’m in ‘half full’ mode I think there is a chance - but its a long shot and will ultimately depend on the Leader’s relationship with those that really matter. Starmer is probably best placed to schmooze.

Ref question on Corbyn and Iran - its all irrelevant now isn’t it? He’s not the future
IP: Logged
bear66 Posted on 14/01/2020 10:22

The Labour Israeli Zionist Lobby have hijacked the party.
"If you've got an argument to make" justify it. So far "David Lammy" is your response which doesn't justify your 'argument'.

Most polls have at least 30% of respondents stating that they are, themselves, racially prejudiced. Presumably the actual level of people that are is higher than that. Just because someone makes a valid point against Islam or the Israeli state doesn't make them racists but they still might be.
IP: Logged
jam69 Posted on 14/01/2020 10:37

The Labour Israeli Zionist Lobby have hijacked the party.
is it true that the labour vote has been waning since 2010?
2010 8.6 million votes
2015 9.3
2017 12.8
2019 10.2
with the exception of 2019 its been on the rise, without brexit it might have held up again.
IP: Logged
borofan402 Posted on 14/01/2020 11:01

The Labour Israeli Zionist Lobby have hijacked the party.
That information only means something if the population remains the same for the last 9 years.
IP: Logged
Muscle_Museum Posted on 14/01/2020 11:11
Edited On: 14/01/2020 11:16
The Labour Israeli Zionist Lobby have hijacked the party.
That may be because my argument isn't based around people being falsely accused of racism based on comments regarding Islam. There's been a debate about the definition of Islamaphobia for a while now, from multiple different parties and groups of interest. If you want to find a list of people who have been accused of racism or 'Islamapohbia' after making reasonable comments regarding the religion, it's not hard to find. Denying that this problem exists is simply ignorant and laughable when you consider it's the whole reason the definition is not suitable.

You second point is baffling. Thankfully, this is not how the real world works. If someone makes a comment and you label that comment racist, the onus is on you to explain why. Whether that person has been racist themselves in the past is completely irrelevant, we're talking about language and how that language gets viewed, it's not a character judgement.

If someone like Tommy Robinson makes a reasonable point regarding Islam, you can't then associate that language with racism because he has been racist in the past and has an agenda. The comments should be judged independently, which then avoids a non racist person making said reasonable comments and getting labelled as racist due to some linguistic association. Surely this is common sense?

My main argument in the post you quoted was that Jeremy Corbyn specifically invited anti semitic claims and distrust from Jewish communities because of his extreme cognitive dissonance when it comes to which regimes he chooses to support and how.

If you're going to endorse and support anti semitic regimes that want to rid the world of Jews, don't act all surprised and innocent when Jewish people are worried about you. Future Labour leaders need to avoid stuff like this and maybe they'll have an easier time.
IP: Logged
jam69 Posted on 14/01/2020 11:17

The Labour Israeli Zionist Lobby have hijacked the party.
share of the vote 2010 35.5%, share of the vote in 2017 when labour said they would implement brexit 40.0 , the highest for 20 years.
IP: Logged
bear66 Posted on 14/01/2020 11:46

The Labour Israeli Zionist Lobby have hijacked the party.
@M_M
You seem to be confused then you agree with me.

As far as 'cognitive dissonance' in Corbyn, the same might be said of Robinson. You say one has to independently look at one but not the other.

The linked article on Ben Wallace, with his comments on the illegal occupation of Palestine and accepting Iran had expressed regret over the student attack on the Tehran UK Embassy, or Iran's comments on Israel are just rhetoric, would have been vilified if Corbyn had said the same things.

As he said about a political opponent "Corbyn and I visited Iran together last year. He is an honest left winger who genuinely likes people.”

Link: Link
IP: Logged
Muscle_Museum Posted on 14/01/2020 12:14

The Labour Israeli Zionist Lobby have hijacked the party.
I'm afraid it's you who is confused, and that's what happens when you hand pick side points from a post to reply to, rather than addressing the full thing.

Your point regarding Corbyn and Robinson is ridiculous and doesn't make sense, you really need to think this one through a bit more. You're also missing the point, you can still separate something Robinson says, agree it needs to be discussed and then turn round and call him a racist hypocrite, the point is to not tar the words with a stigma.

You made a bizarre point about someone saying something that isn't racist but still being a racist as if that is relevant to anything. I reminded you that it's perfectly possible for a racist to make non racist statements, and for intelligent people to separate those things.

What's the comparison to Jeremy Corbyn? He has shown a lot of support for the Iranian regime and celebrated their reign, he's asked for people to support Hamas. You can separate this language from the man and they are still unacceptable. He's the leader of the Labour party, of course he gets held to a different standard, but that doesn't mean what he says and believes is not problematic for Jewish people. As a potential Prime Minister, his influence was far greater.

You really need to pin down what you are actually arguing here, and it was obvious from your opening gambit that you didn't actually know, you saw an opportunity to go 'prove it'.

A lot of anti semitic claims aimed at Corbyn are nonsense, some are not, such as his views on the Gaza conflict and support for anti semitic regimes. It's his long standing opinions on these points that's made him such an easy target for anti semitic accusations.

If the Labour party want to avoid this, they should avoid taking such a one sided stance on a conflict that isn't one sided, and be a lot more careful when endorsing certain regimes, specifically the ones that want to kill jews.

Do you want to try and articulate exactly what you disagree with here as I'm struggling.
IP: Logged
bear66 Posted on 14/01/2020 12:28

The Labour Israeli Zionist Lobby have hijacked the party.
I'm simply agreeing that you need to independently consider what people are saying.

I agree he is an easy target for anti-semetic accusations, even, as you say, when they aren't.

I seem to be agreeing with you, but not your contradictions.

There are politics and people. I have little time for the politics of Israel or Gaza, but sympathise with the people of both. Corbyn isn't alone in his condemnation of the unequal pain suffered by Gaza compared with Israel. Warsi resigned from the Tory Cabinet over the morally indefensible response by the UK Government to the 2014 Israel-Gaza war.
IP: Logged
Muscle_Museum Posted on 14/01/2020 12:44
Edited On: 14/01/2020 12:45
The Labour Israeli Zionist Lobby have hijacked the party.
You haven't highlighted any contradictions, you're still confused here.

I independently consider what Corbyn says and still disagree with his sponsorship of anti semitic regimes. I'm equally critical about other people who do the same thing. You need to highlight where this contradiction is as I'm not seeing it.

Of course Corbyn isn't alone in his condemnations, but you're not saying what those condemnations are. There's a big difference between criticising Israel and supporting Hamas and Iran, whilst ignoring all the different factors that force Israel into being the country they are today, such as being surrounded by states that want to wipe them out.

At the end of the day, it just doesn't make sense for Corbyn to hold the views he does without a further agenda. He is a huge human rights activist, yet he celebrates the Iranian regime that murders gay people and forces gender apartheid. He wants peace in Gaza but supports the side that has turned down multiple peace deals and is committed to Jewish genocide.

He's all over the place and a lot of these views are very troubling for Jews who rightfully consider genocide to be something to actually be fearful of, for obvious reasons. How oftne have you seen Labour supporters on here address this, as opposed to flippantly labelling all anti semitic claims as anti zionist and propaganda?




IP: Logged
bear66 Posted on 14/01/2020 13:01

The Labour Israeli Zionist Lobby have hijacked the party.
I've already given an example of a Tory minister who supported an 'anti-semitic regime' saying it was just rhetoric. Would you support a party with such a loathsome figure in its government?

There are major issues with Jewish communities places of worship being attacked. This has increased in the last decade, by jihadis in Europe and right wing extremists in the US. These have been going on from before Corbyn was leader and it's difficult to square up the UK Labour party being an influence on these attacks.

Interesting article discussing this in link. It leads on to how this can lead to a 'copycat phenomenon' like the mosque attack in Christchurch.



Link: Link
IP: Logged
BlindBoyGrunt1 Posted on 14/01/2020 13:46

The Labour Israeli Zionist Lobby have hijacked the party.
Yesterday an anti Zionist, group Jewish Voice for Labour sent an open letter to the Labour leadership hopefuls voicing their concern about the demands of the BoD.

Link: link
IP: Logged
BlindBoyGrunt1 Posted on 14/01/2020 14:28

The Labour Israeli Zionist Lobby have hijacked the party.
Muscle Museum: “Even if you heavily support Palestine, you can do so without endorsing terrorist groups who are fuelled by Islamism and Jewish blood.”

Well, the first group of terrorists in that part of the world were The Stern Gang who formed in 1940. Not happy with the amount of territory they had been sold by the British, they wanted more and were prepared to use terrorism to get it. Eventually, though they were a small minority of the population, the new arrivals were granted 51% of the best land.

Israel now, is an apartheid state which is still expanding in contravention of UN laws and where the Arab population are treated as third class citizens. I am not happy that many Labour politicians feel the need to belong to an organisation called Labour Friends of Israel.
IP: Logged
borofan402 Posted on 14/01/2020 14:31

The Labour Israeli Zionist Lobby have hijacked the party.
Share of the vote 2019 32.2%.
IP: Logged
Rayman Posted on 14/01/2020 14:52

The Labour Israeli Zionist Lobby have hijacked the party.
This is one of m’favourites,

To all the people that say Jeremy Corbyn is antisemitic, here is his record of fighting against antisemitism!

EDM: Parliamentary Early Day Motion

Corbyn organised the Apr. 1977 defence of Jewish populated Wood Green from a Neo-Nazi march
EDM3933 7 Nov. 1990: Corbyn signs motion condemning the rise of antisemitism
EDM634, 11 Apr. 2000: Jeremy Corbyn signs motion condemning David Irving for being a Holocaust Denier
EDM1124, 6 Nov. 2000: Jeremy Corbyn praised the ‘British Schindler’, Bill Barazetti, for his WW2 kindertransport
EDM742, 28 Jan. 2002: Jeremy Corbyn signs motion praising football clubs for commemorating Holocaust Day
EDM1233, 30 Apr. 2002: Corbyn was a primary sponsor on a motion condemning antisemitism
11 May 2002: Jeremy led a clean up of Finsbury Park Synagogue after an anti-Semitic attack
EDM1691, 23 July 2002: Corbyn condemned attacks on a synagogue in Swansea
EDM123, 26 Nov. 2003: Corbyn officially condemns attacks on 2 Istanbul synagogues
EDM298, 16 Dec. 2003: Jeremy Corbyn signs motion commemorating International Holocaust Day
2004: Jeremy condemned news that anti-Semitic hate crimes had risen for yet another year
EDM46, 21 Jan. 2004: Jeremy Corbyn condemned the French government’s moves to ban the Jewish Kippa in French Schools
EDM717, 26 Feb. 2004: Jeremy signed a motion praising Simon Wiesenthal for bringing Nazi perpetrators of the Holocaust to justice
EDM1613, 8 Sept. 2004: Corbyn co-sponsored a bill expressing fears for the future of the United Synagogue Pension Scheme
EDM1699, 11 Oct. 2004: Jeremy Corbyn condemned arbitrary attacks on civilians in Israel and Palestine
EDM482, 12 Jan. 2005: Jeremy Corbyn signs a motion commemorating International Holocaust Day
EDM343, 16 June 2005: Jeremy condemned the desecration of a Jewish cemetery in east London
EDM1343, 11 Jan. 2006: Jeremy Corbyn signs a motion commemorating International Holocaust Day
EDM1774, 8 Mar. 2006: Jeremy Corbyn led condemnations of an Iranian Magazine soliciting cartoons about the Holocaust
EDM1267, 16 Apr. 2006: Jeremy Corbyn condemned Bryan Ferry for anti-Semitic remarks
EDM2414, 26 June 2006: Jeremy Corbyn praised British war veterans for their efforts to combat the Holocaust
EDM2705, 10 Oct. 2006: Jeremy signed a motion marking the 70th anniversary of Cable Street
EDM271, 14 Nov. 2007: Jeremy co-sponsored a motion lamenting the poverty and social exclusion East London Jews suffered
EDM153, 12 May 2008: Corbyn praised the efforts of the Jews in the Warsaw Ghetto during the uprising of 1944
EDM2350, 27 Oct 2008: Jeremy Corbyn signs a motion marking the 70th anniversary of the horrors of the holocaust
EDM173, 8 Dec. 2008: Jeremy condemned the Press Complaints Commission for refusing to sanction The Times for antisemitism
EDM461, 14 Jan. 2009: Jeremy Corbyn condemned a wave of recent anti-Semitic incidents targeted
EDM605, 27 Jan. 2009: Corbyn signed John Mann’s motion condemning antisemitism on university campuses
EDM917 26 Feb. 2009: Jeremy signs a motion condemning antisemitism on the internet
EDM1175 24 Mar. 2009: Corbyn signs a motion praising the heroism of British Jews during Holocaust
EDM337, 2 Dec. 2009: Jeremy Condemned Iran’s treatment of Jewish minorities in Iran
EDM850, 9 Feb. 2010: Jeremy joins in calls for Facebook to do more to fight antisemitism
EDM891, 22 Feb 2010: Corbyn co-sponsors a motion calling for Yemen’s Jews to be given refugee status to the UK
EDM908, 27 Oct. 2010: Corbyn praises work of late Israeli PM in his pursuit of a 2 state solution
EDM1360, 27 Jan. 2011: Corbyn co-sponsored a motion praising the ‘never again for anyone initiative’
EDM1527, 3 Mar. 2011: Corbyn backed Ian Paisley’s motion condemning the anti-Semitic remarks of Dior’s lead fashion designer
EDM2870, 14 Mar. 2012: Jeremy Corbyn condemned the sale of Nazi memorabilia at an auction in Bristol
EDM2866, 14 Mar 2012: Jeremy Corbyn co-sponsored a bill condemning the rise of antisemitism in Lithuania
EDM2899, 20 Mar. 2012, Jeremy Corbyn condemned a terrorist attack on a Jewish school in Toulouse
EDM168, 12 June 2012, Jeremy co-sponsored a motion condemning anti-Semitic attacks during EURO 2012 in Poland
EDM195, 13 June 2012: Jeremy attacks BBC for cutting Jewish programmes from Its schedule
EDM1133, 1 Mar 2013: Corbyn joins a chorus of calls condemning antisemitism In sport
1 Oct. 2013: Corbyn was one of the few MPs who defended Ralph Miliband from Daily Mail antisemitism
EDM932, 9 Jan 2014: Jeremy praises Holocaust Memorial’s work on antisemitism education
EDM165, 22 June 2015: Jeremy condemns a Neo-Nazi rally planned for a Jewish area of London
Sat 4 July 2015: Jeremy co-planned a counter-fascist demo in defence of Jewish residents at Golders Green. The march was re-routed
18 Nov. 2015, Corbyn used one of his first PMQs to challenge Cameron to do more on antisemitism
9 Oct 2016: Corbyn, close to tears, leads commemoration of the Battle of Cable Street
3 Dec. 2016: Corbyn visits Terezin Concentration Camp to commemorate Holocaust victims
In 2017-19 Jeremy introduced 20 new measures to combat antisemitism in the Labour Party.
IP: Logged
Muscle_Museum Posted on 14/01/2020 17:09

The Labour Israeli Zionist Lobby have hijacked the party.
There's a big difference between being anti semitic, and empowering anti semitic groups, be it indirectly or directly. I've never once accused Corbyn of being anti semitic and don't believe he is.

That doesn't the change the fact his unwavering support for the likes of Hamas, hezbollah and Iran is worrying for Jewish people. They're not all making it up, they're not pretending to be worried, it's a real thing.

That's what a lot of Jewish people would tell you concerns them, and understandbly so.

What do you think would happen right now if Hamas had the same power and capabilities as Israel? Here's a clue, there wouldn't be an Israel.
IP: Logged
Muscle_Museum Posted on 14/01/2020 17:15

The Labour Israeli Zionist Lobby have hijacked the party.
BlindBoy

"Israel now, is an apartheid state which is still expanding in contravention of UN laws and where the Arab population are treated as third class citizens. I am not happy that many Labour politicians feel the need to belong to an organisation called Labour Friends of Israel."

Of course they are expanding, they are surrounded by countries committed to destroying them, security is a bit of a concern for them. Hamas and the like don't just want to take over the west bank, they want to kill jews wherever they land.

I don't think Jewish children born today should be held responsible for crimes committed by Israel over 80 years ago. Hamas leadership is proudly anti semitic and their charter is decorated with racial and religious language. It's disgusting and should never be supported. They've shown moral standard way below Israel and continue to be the aggressors in this conflict.

Please read the below article and at least try and understand why Israel are not the sum of all evil.

https://samharris.org/podcasts/why-dont-i-criticize-israel/
IP: Logged
Rayman Posted on 14/01/2020 17:25

The Labour Israeli Zionist Lobby have hijacked the party.
As it happens most of my Jewish chums are concerned about Brexit and another few years of the Tories. I know that the Nazis put all the Jews in one basket, so to speak but that’s no excuse for you to do the same.

My acquaintances are all ex East Enders who can smell any right wing trouble a mile off, but you must remember that there are Ashkenazi, Sephardic, Bund, Orthodox, Observant, Liberal, Secular, Communist, Socialist and Tory.
Most people admire Israel's domestic policies regarding women’s rights, abortion and tolerance towards LGBTQA people. To say that anyone here wants Israel wiping off the map is quite ridiculous.
IP: Logged
Corcaigh_the_Cat Posted on 14/01/2020 18:10

The Labour Israeli Zionist Lobby have hijacked the party.
A fair number of those groups will have members in the Labour Party of which a number will be disturbed by the Israeli embassy housing right wing lobby groups to interfere with UK elections. They could be the people that the BoD are trying to stop having a voice.

MM may be able to clear that up for us.
IP: Logged
BlindBoyGrunt1 Posted on 14/01/2020 18:14

The Labour Israeli Zionist Lobby have hijacked the party.
M_M: That piece criticises the old testament." ... most Jews recognize this and don’t take these texts seriously. It’s simply a fact that most Jews and most Israelis are not guided by scripture—and that’s a very good thing."

The problem with that is that in 19th century Germany Jewish historians, in order to build a Jewish People, used the Old Testament as a historical document.
IP: Logged
BlindBoyGrunt1 Posted on 14/01/2020 18:30

The Labour Israeli Zionist Lobby have hijacked the party.
CtC Most left wing Jews and Jewish groups get no coverage at all in the MSM who buy the lie that BoD, and the Jewish Chronicle speak for all Jews. Many have themselves been accused of antisemitism, self hating, or just the wrong type of jews. Here are some of the ones I follow on twitter. They mostly believe that Israel is an apartheid or terrorist state.

@YagudMiriam @davidgraeber @_DavidAsher @JustJewsUK
@LeftPHoenix @OriginalJews @TTJUK @TorahJews @JewsVsIsrael @solid_jews @jewdas @JewishSocialist @JFREJNYC @TonyGreenstein @JVoiceLabour @jewssf @FreeSpeechOnIsr
IP: Logged
jcjc Posted on 14/01/2020 22:44

The Labour Clown Show Keeps Rollling On.
they are not even an opposition now
all contenders still vote against brexit and think corbyn the messiah do they never learn
they have just been hammered and think they did well
IP: Logged
BlindBoyGrunt1 Posted on 15/01/2020 12:41

The Labour Clown Show Keeps Rollling On.
jcjc this is just not true. There is a huge inquest going on within the Labour party precisely because they are fully aware of how badly they did. As far as the contenders are concerned, Starmer, Philips and Thornbury are anything but Corbynites and RLB is only socialist lite.

The stupidest thing though is MP's like Hillary Benn nominating people who are already through to the next round, instead of nominating a good candidate like Clive Lewis.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213